View Issue Details

IDProjectCategoryView StatusLast Update
0008271VALENTINA STUDIOTool - Form Editorpublic2019-04-13 18:55
ReporterSergey PashkovAssigned ToIgor Nikitin 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version9.0.x 
Target Version9.0.xFixed in Version9.0.x 
Summary0008271: Need to have an ability in the ComboBox to define different values for showing and for editing
DescriptionNeed an ability to define the different column for item data.
Currently, we can define the Items property - what to show in the ComboBox.
But very often shown value is not the same as we need to set/get in the field.

For example, table "film" have "language_id" field which is an FK link to the "language" table.
I set Items property to show values from the "language_id" column and I can see only the language IDs, but not the language names.

We need to have a way how to get the different data for "showing" and for "editing"
TagsNo tags attached.
Working with DB:Not specified
Version of your DB

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-05-29 11:39 Sergey Pashkov New Issue
2018-05-29 11:39 Sergey Pashkov Status new => assigned
2018-05-29 11:39 Sergey Pashkov Assigned To => Igor Nikitin
2018-09-25 09:24 Ruslan Zasukhin Target Version 8.6.x => TODO_BUGS
2019-02-28 16:15 Igor Nikitin Status assigned => resolved
2019-02-28 16:15 Igor Nikitin Fixed in Version => 9.0.x
2019-02-28 16:15 Igor Nikitin Resolution open => fixed
2019-04-13 18:53 Ruslan Zasukhin Target Version TODO_BUGS =>
2019-04-13 18:55 Ruslan Zasukhin Product Version 8.3.x => 9.0.x
2019-04-13 18:55 Ruslan Zasukhin Target Version => 9.0.x